//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

#include "Control.h"

namespace VectorWorks
{
	namespace VWUI
	{
		class VWLineWeightPopupCtrl : public VWControl
		{
		public:
							VWLineWeightPopupCtrl(TControlID id);
			virtual			~VWLineWeightPopupCtrl();

			virtual bool	CreateControl(VWDialog* pDlg);

		// attributes
		public:
			short			GetSelectedLineWeight() const;
			void			SetSelectedLineWeight(short lineWeight);

		};
	}
}